%if %{fedora} == 36
# Disable package-notes because its linker flag leaks to rakudo
%undefine _package_note_file
%endif

Name:           moarvm
Version:        2022.12
Release:        %autorelease
Summary:        Metamodel On A Runtime Virtual Machine
License:        Artistic-2.0
URL:            https://moarvm.org/
Source:         https://github.com/MoarVM/MoarVM/releases/download/%{version}/MoarVM-%{version}.tar.gz

BuildRequires:  gcc make perl
BuildRequires:  libffi-devel libatomic_ops-devel
BuildRequires:  libtommath-devel libuv-devel

%description
MoarVM (short for Metamodel On A Runtime Virtual Machine) is a runtime built
for the 6model object system. It is primarily aimed at running NQP and Rakudo,
but should be able to serve as a backend for any compilers built using the NQP
compiler toolchain.

%package        devel
Summary:        Header files for MoarVM development

Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains header files for developing applications that use
moarvm (Metamodel On A Runtime).

%prep
%autosetup -n MoarVM-%{version}

# make sure to not bundle this
rm -rf 3rdparty/libuv
rm -rf 3rdparty/libatomicops
rm -rf 3rdparty/dyncall
rm -rf 3rdparty/libtommath
rm -rf 3rdparty/mimalloc

%build
%{__perl} Configure.pl --prefix=%{_prefix} --libdir=%{_libdir} \
  --has-libuv \
  --has-libffi \
  --has-libatomic_ops \
  --has-libtommath \
  --no-mimalloc
%{make_build}

%install
%{make_install}

chmod 755 %{buildroot}%{_libdir}/libmoar.so

%files
%license LICENSE
%doc CREDITS docs
%{_bindir}/moar
%{_libdir}/libmoar.so
%{_datadir}/nqp/lib/MAST/*.nqp

%files devel
%{_includedir}/moar
%{_datadir}/pkgconfig/moar.pc

%changelog
%autochangelog